SDL_DestroyRenderer(3)

NAME
SDL_DestroyRenderer - Destroy the rendering context for a window and free all associated textures.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_DestroyRenderer(SDL_Renderer *renderer);

DESCRIPTION
This should be called before destroying the associated window.

FUNCTION PARAMETERS

renderer
    the rendering context.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateRenderer(3)